//<c>   Copyright 1990-2000 by Gerry J. Danen; all rights reserved.

//<t>   Blank the screen and restore on a keystroke (or password)

#include"gd_tools.h"
#include"gd_kb.h"


void    get_password( void )                    // wait for key or password
{
    INT16 ch;

    FOREVER
    {
        ch = kb_getkey_();
        if ( ch == ALT_1 )
            return ;                            // got the right one!
    }
}


void    main( void )
{
    gd_init( 0 );                               // special init routine
    sc_save_video_state();                      // save screen content and attributes
    set_color( COLOR_NORMAL, BLACK, BLACK );    // make everything black on black
    set_color( COLOR_BORDER, BLACK, BLACK );    // even the border
    cls();                                      // clear the screen with new colours
    get_password();                             // get the alt-1 (or password)
    sc_restore_video_state();                   // restore screen content and attributes
    gd_exit( 0, "" );                           // done
}
